Skip to main content
PUT
Update Knowledge Base
Integration Prompt for AI Agents
Send at least one of name or description.

Headers

X-Organization-Id
string
X-API-Key
string
required

API key required to authenticate requests.

Path Parameters

knowledge_base_id
string<uuid>
required

Body

application/json
name
string | null
description
string | null

Response

Successful Response

id
string<uuid>
required
organization_id
string
required
name
string
required
description
string | null
folder_id
string<uuid> | null
created_at
string | null
updated_at
string | null